OPENSTACK_HYPERVISOR_FEATURES = {
    'can_set_mount_point': False,
    'can_set_password': False,
    'requires_keypair': True,
    'enable_quotas': True
}

# The OPENSTACK_CINDER_FEATURES settings can be used to enable optional
# services provided by cinder that is not exposed by its extension API.
OPENSTACK_CINDER_FEATURES = {
    'enable_backup': False,
}

# The OPENSTACK_NEUTRON_NETWORK settings can be used to enable optional
# services provided by neutron. Options currently available are load
# balancer service, security groups, quotas, VPN service.
OPENSTACK_NEUTRON_NETWORK = {
    'enable_router': True,
    'enable_quotas': True,
    'enable_ipv6': True,
    'enable_distributed_router': False,
    'enable_ha_router': False,
    'enable_lb': True,
    'enable_firewall': True,
    'enable_vpn': True,
    'enable_fip_topology_check': True,

    # Default dns servers you would like to use when a subnet is
    # created.  This is only a default, users can still choose a different
    # list of dns servers when creating a new subnet.
    # The entries below are examples only, and are not appropriate for
    # real deployments
    'default_dns_nameservers': ["131.111.12.20", "131.111.8.42"],

    # The profile_support option is used to detect if an external router can be
    # configured via the dashboard. When using specific plugins the
    # profile_support can be turned on if needed.
    'profile_support': None,
    #'profile_support': 'cisco',

    # Set which provider network types are supported. Only the network types
    # in this list will be available to choose from when creating a network.
    # Network types include local, flat, vlan, gre, vxlan and geneve.
    # 'supported_provider_types': ['*'],

    # You can configure available segmentation ID range per network type
    # in your deployment.
    # 'segmentation_id_range': {
    #     'vlan': [1024, 2048],
    #     'vxlan': [4094, 65536],
    # },

    # You can define additional provider network types here.
    # 'extra_provider_types': {
    #     'awesome_type': {
    #         'display_name': 'Awesome New Type',
    #         'require_physical_network': False,
    #         'require_segmentation_id': True,
    #     }
    # },

    # Set which VNIC types are supported for port binding. Only the VNIC
    # types in this list will be available to choose from when creating a
    # port.
    # VNIC types include 'normal', 'macvtap' and 'direct'.
    # Set to empty list or None to disable VNIC type selection.
    'supported_vnic_types': ['*'],
}

# Help URL can be made available for the client. To provide a help URL, edit the
# following attribute to the URL of your choice.
from openstack_dashboard.settings import HORIZON_CONFIG
HORIZON_CONFIG["help_url"] = "https://docs.hpc.cam.ac.uk/cloud/"

LAUNCH_INSTANCE_DEFAULTS = {
    "config_drive": True,
    "create_volume": False,
    "hide_create_volume": False,
    "disable_image": False,
    "disable_instance_snapshot": False,
    "disable_volume": False,
    "disable_volume_snapshot": False,
    "enable_scheduler_hints": True,
}

WEBSSO_INITIAL_CHOICE = "keycloak_mapped"
WEBSSO_CHOICES = (
    ("credentials", "Keystone Credentials"),
    ("keycloak_mapped", "Authenticate via Cambridge"),
    ("iris-iam_openid", "Authenticate via IRIS-IAM"),
    ("ska-iam_openid", "Authenticate via SKA-IAM"),
    )
WEBSSO_IDP_MAPPING = {
    "keycloak_mapped": ("keycloak", "mapped"),
    "iris-iam_openid": ("iris-iam", "openid"),
    "ska-iam_openid": {"ska-iam", "openid"},
    }
